osl::eval::ml::MajorY< Opening, MajorBasic > Class Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | List of all members
osl::eval::ml::MajorY< Opening, MajorBasic > Class Template Reference

`#include <majorPiece.h>`

Inheritance diagram for osl::eval::ml::MajorY< Opening, MajorBasic >:
[legend]
Collaboration diagram for osl::eval::ml::MajorY< Opening, MajorBasic >:
[legend]

## Public Types
enum | { DIM = 18 }

## Static Public Member Functions
static void | setUp (const Weights &weights)
static int | eval (const NumEffectState &state)

## Static Private Member Functions
static int | index (Piece piece)

## Static Private Attributes
static CArray< int, 18 > | table

## Detailed Description

### template<bool Opening, Ptype MajorBasic>
class osl::eval::ml::MajorY< Opening, MajorBasic >

Definition at line 21 of file majorPiece.h.

## Member Enumeration Documentation

template<bool Opening, Ptype MajorBasic>

anonymous enum

Enumerator
DIM |

Definition at line 31 of file majorPiece.h.

## Member Function Documentation

template<bool Opening, Ptype MajorBasic>

static int osl::eval::ml::MajorY< Opening, MajorBasic >::eval | ( | const NumEffectState & | state) |  |
| inlinestatic

Definition at line 33 of file majorPiece.h.

template<bool Opening, Ptype MajorBasic>

static int osl::eval::ml::MajorY< Opening, MajorBasic >::index | ( | Piece | piece) |  |
| inlinestaticprivate

Definition at line 25 of file majorPiece.h.

Referenced by osl::eval::ml::MajorY< true, ROOK >::eval().

template<bool Opening, osl::Ptype MajorBasic>

void osl::eval::ml::MajorY< Opening, MajorBasic >::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 13 of file majorPiece.cc.

References osl::eval::ml::Weights::dimension(), and osl::eval::ml::Weights::value().

## Member Data Documentation

template<bool Opening, Ptype MajorBasic>

osl::misc::CArray< int, 18 > osl::eval::ml::MajorY< Opening, MajorBasic >::table
| staticprivate

Definition at line 24 of file majorPiece.h.

Referenced by osl::eval::ml::MajorY< true, ROOK >::eval().

The documentation for this class was generated from the following files:

- majorPiece.h
- majorPiece.cc